Bug 765362 - (GLUSTER-3630) Add brick fails for pure distribute volumes
Add brick fails for pure distribute volumes
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-26 02:39 EDT by Kaushal
Modified: 2015-12-01 11:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaushal 2011-09-26 02:39:05 EDT
Adding brick to pure distribute volumes fails on mainline with message "number of brick count for volume name <volume> wrong"

Eg:
  # gluster volume create test arch:/tmp/t1
  Creation of volume test has been successful. Please start the volume to access data.
  # gluster volume add-brick test arch:/tmp/t2
  number of brick count for volume name test is wrong


Happens for any number of bricks in the volume.
Comment 1 Amar Tumballi 2011-09-27 06:27:37 EDT
More on it at http://review.gluster.com/505

Note You need to log in before you can comment on or make changes to this bug.